## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

%global debug_package %{nil}

# https://github.com/sacloud/libsacloud
%global goipath         github.com/sacloud/libsacloud
Version:                1.36.2

%gometa

%global common_description %{expand:
This project provides various Go packages to perform operations on SAKURA CLOUD
APIs.}

%global golicenses      LICENSE.txt
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Library for SAKURA CLOUD API with Go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Go 1.15: https://github.com/golang/go/issues/32479
Patch0:         0001-Convert-int-to-string-using-fmt.Sprintf.patch

BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/mattn/go-tty)
BuildRequires:  golang(github.com/mitchellh/go-vnc)
BuildRequires:  golang(github.com/skratchdot/open-golang/open)
BuildRequires:  golang(go.uber.org/ratelimit)
BuildRequires:  golang(golang.org/x/crypto/ssh)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.36.2-12
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 12:38:18 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.36.2-1
- Update to 1.36.2
- Close: rhbz#1866999

* Sun Aug 02 00:24:39 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.36.1-1
- Update to 1.36.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.1-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 03 00:16:22 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.21.1-1
- Initial package

## END: Generated by rpmautospec
